import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { COMPONENTS } from './component';
import { SensorItemStoreModule } from './sensor-item-store.module';
import { SERVICES } from './service';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    SensorItemStoreModule,
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class SensorItemModule { }
